Page Summary
-
Lists
RegionalInventoryresources for a given product within a specified merchant account, offering pagination for large result sets. -
Allows filtering by product using the
parentpath parameter in the formataccounts/{account}/products/{product}. -
Enables control over the number of results and pagination using
pageSizeandpageTokenquery parameters. -
Returns an array of
RegionalInventoryobjects and anextPageTokenfor accessing further results in the response. -
Requires authorization with the
https://www.googleapis.com/auth/contentOAuth scope.
- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Lists the RegionalInventory resources for the given product in your merchant account. The response might contain fewer items than specified by pageSize. If pageToken was returned in previous request, it can be used to obtain additional results.
RegionalInventory resources are listed per product for a given account.
HTTP request
GET https://merchantapi.googleapis.com/inventories/v1beta/{parent=accounts/*/products/*}/regionalInventories
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The The The format of the
We recommend using the Encoded Format for all product IDs to ensure correct parsing, especially those containing special characters. The presence of tilde ( Note: For calls to the v1beta version, the plain format is |
Query parameters
| Parameters | |
|---|---|
pageSize |
The maximum number of |
pageToken |
A page token, received from a previous When paginating, all other parameters provided to |
Request body
The request body must be empty.
Response body
Response message for the regionalInventories.list method.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"regionalInventories": [
{
object ( |
| Fields | |
|---|---|
regionalInventories[] |
The |
nextPageToken |
A token, which can be sent as |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/content
For more information, see the OAuth 2.0 Overview.